server {
    listen 80 default_server;
    listen [::]:80 default_server;

    root /var/www/dist;
    index index.html;

    server_name russcult.anibilag.ru;

    location / {
       try_files $uri /index.html;
    }

    location /api/ {
       proxy_pass http://192.168.1.67:5000;
       proxy_set_header Host $host;
       proxy_set_header X-Real-IP $remote_addr;
    }

    gzip on;

    gzip_vary on;
    gzip_proxied any;
    gzip_comp_level 6;
    gzip_buffers 16 8k;
    gzip_http_version 1.1;
    gzip_types text/plain text/css application/json application/javascript text/xml application/xml application/xml+rss text/javascript;

    error_page 404 /index.html;
}
